<?php
/**
 *----------------------------------------------------------------------------
 * 版权所有 2010-2016 HuCart.COM，并保留所有权利。
 * 网站地址: http://Www.HuCart.Com；
 * 作者: HuCart.COM
**/

require ROOT_PATH.'system/class/class_upload.php';

$GLOBALS['Uploa'] = new Upload();

class Uploadfile
{
	function Uploadfile()
	{
	}
	
	function upload()
	{
	
		$fileName 	= $this -> input ->  get["upLoadName"];  	// $this -> input ->  funget("upLoadName");
		$getUrl   	=  $_REQUEST["getUrl"]; 						//$this -> input ->  funget("getUrl");
		$lodingDiv  = $this -> input ->  get["lodingDiv"];  	//$this -> input ->  funget("lodingDiv");
		$sizeType 	= '';
		$sizeType   = $this -> input ->  get["sizeType"];  	//$this -> input ->  funget("sizeType");
		$strkey 	= '';
		$strkey 	=  $this -> input ->  get["strkey"];   
 		$isMark 	=  $this -> input ->  get["isMark"];  		//是否附加水印(1为加水印,0不加水印)

		if($lodingDiv)
		{
 
			
			$GLOBALS['Uploa'] -> upFile($fileName, $getUrl,'','img',$lodingDiv , $strkey , $sizeType, $isMark );
		}else{
 
			$GLOBALS['Uploa']  -> upFile($fileName, $getUrl,'','img','','',$sizeType, $isMark);
		}
	
	}
}

$Uploadfile = new Uploadfile();

?>

